{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.hive.themes.layan;
in {
  options.hive.themes.layan = {
    enable = lib.mkEnableOption "Layan theme configuration";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = [
      pkgs.hive.layan-qt6
      pkgs.kdePackages.qtstyleplugin-kvantum
      pkgs.unstable.layan-cursors
      pkgs.layan-gtk-theme
      pkgs.tela-circle-icon-theme
    ];
  };
}
